Captcha

Vue Bootstrap 5 Captcha plugin

Vue Captcha is a form validation component based on Recaptcha. It protects you against spam and other types of automated abuse.
Official documentation.

Note: Read the API tab to find all available options and advanced customization


Basic example

        
            
          <template>
            <MDBCaptcha siteKey="YOUR_SITEKEY" />
          </template>
          
        
    
        
            
           <script>
            import { MDBCaptcha } from 'mdb-vue-captcha';

            export default {
              components: {
                MDBCaptcha
              },
            };
          </script>
          
        
    
        
            
           <script setup lang="ts">
            import { MDBCaptcha } from 'mdb-vue-captcha';
          </script>
          
        
    

Dark theme example

You can set dark theme via theme="dark" property.

        
            
              <template>
                <MDBCaptcha siteKey="YOUR_SITEKEY" theme="dark" />
              </template>
              
        
    
        
            
                <script>
                  import { MDBCaptcha } from 'mdb-vue-captcha';

                  export default {
                    components: {
                      MDBCaptcha
                    },
                  };
                </script>
              
        
    
        
            
                <script setup lang="ts">
                  import { MDBCaptcha } from 'mdb-vue-captcha';
                </script>
              
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Captcha - API


Import

        
            
        import { MDBCaptcha } from "mdb-vue-captcha";
      
        
    

Properties

Name Type Values Default Description
sitekey String - null Required. Defines your sitekey.
theme String light
dark
light Optional. Defines theme for Captcha.
size String normal
compact
normal Optional. Defines the size of the widget.
tabindex Number - 0 Optional. Defines the tabindex of the widget and chellenge. If other elements in your page use tabindex, it should be set to make user navigation easier.
lang String "pl", "en", "es" etc. en Optional. Defines the language of the widget.

Methods

Name Description
reset Reset the Captcha plugin instance.reset()
getResponse Returns Captcha response key instance.getResponse()
        
            
          <template>
            <MDBBtn color="primary" @click="captchaRef?.reset()">Reset</MDBBtn>
            <MDBCaptcha siteKey="YOUR_SITEKEY" ref="captchaRef" />
          </template>
          
        
    
        
            
          <script>
            import { MDBCaptcha } from "mdb-vue-captcha";
            import { MDBBtn } from "mdb-vue-ui-kit";
            import { ref } from "vue";

            export default {
              components: {
                MDBBtn,
                MDBCaptcha,
              },
              setup(){
                const captchaRef = ref(null);
                
                return {
                  captchaRef
                }
              }
            }
            
          </script>
          
        
    
        
            
          <script setup lang="ts">
            import { MDBCaptcha } from "mdb-vue-captcha";
            import { MDBBtn } from "mdb-vue-ui-kit";
            import { ref } from "vue";
            
            const captchaRef = ref<InstanceType<typeof MDBCaptcha> | null>(null);
          </script>
          
        
    

Events

Name Description
error Emmited when CAPTCHA encounters an error.
expired Emmited when CAPTCHA response expires and the user needs to solve a new CAPTCHA.
success Emmited when user submits a successful CAPTCHA response
        
            
        <template>
          <MDBCaptcha siteKey="YOUR_SITEKEY" ref="captchaRef" @error="doSomething" />
        </template>

Captcha

Bootstrap 5 Captcha plugin

Captcha is a form validation component based on Recaptcha. It protects you against spam and other types of automated abuse.
Official documentation.

Note: Read the API tab to find all available options and advanced customization


Basic example

Note: You need to include Google API script in your project in order to Captcha to work.

        
            
        import React from 'react';
        import { MDBCaptcha } from 'mdb-react-captcha';
        
        export default function App() {
          return (
            <MDBCaptcha siteKey='YOUR_SITEKEY' />
          );
        }        
      
        
    
        
            

      <script src="https://www.google.com/recaptcha/api.js"></script>
    
  
        
    

Dark theme example

You can use dark theme by adding theme='dark' to MDBCaptcha.

        
            
            import React from 'react';
            import { MDBCaptcha } from 'mdb-react-captcha';
            
            export default function App() {
              return (
                <MDBCaptcha siteKey='YOUR_SITEKEY' theme='dark' />
              );
            }        
          
        
    
        
            

          <script src="https://www.google.com/recaptcha/api.js"></script>
        
      
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Captcha - API


Import

        
            
          import { MDBCaptcha } from 'mdb-react-captcha';
        
        
    

Properties

MDBCaptcha

Name Type Default Description Example
className String '' Adds a custom class to the MDBCaptcha component. <MDBCaptcha className='custom-class' />
lang String Auto-detects the user's language if unspecified. Optional. Defines the language of the widget. Possible languages: "pl", "en", "es" etc. <MDBCaptcha lang='es' />
siteKey String '' Required. Defines your sitekey. <MDBCaptcha siteKey='MY_SITEKEY' />
size 'normal' | 'compact' normal Optional. Defines the size of the widget.
tabIndex Number 0 Optional. Defines the tabindex of the widget and chellenge. If other elements in your page use tabindex, it should be set to make user navigation easier. <MDBCaptcha tabIndex={5} />
theme 'light' | 'dark' light Optional. Defines theme for Captcha. <MDBCaptcha theme='dark' />

Events

Name Type Description
onError () => any Emmited when CAPTCHA encounters an error.
onExpire () => any Emmited when CAPTCHA response expires and the user needs to solve a new CAPTCHA.
onSuccess () => any Emmited when user submits a successful CAPTCHA response

Captcha

Angular Bootstrap 5 Captcha plugin

Captcha is a form validation component based on Recaptcha. It protects you against spam and other types of automated abuse.
Official documentation.

Note: Read the API tab to find all available options and advanced customization


Basic example

Note: You need to include Google API script in your project in order to Captcha to work.

        
            
          <script src="https://www.google.com/recaptcha/api.js"></script>       
          <mdb-captcha
          [sitekey]="'YOUR_SITEKEY'"
          ></mdb-captcha>
      
        
    

Dark theme example

You can use dark theme by adding [theme]="'dark'" input.

        
            
        <script src="https://www.google.com/recaptcha/api.js"></script>       
        <mdb-captcha
          [sitekey]="'YOUR_SITEKEY'"
          [theme]="'dark'"
        ></mdb-captcha>
        
        
    

TAILWIND

GIFT for 2026

Purchase anything during the New Years Sale and get a Tailwind UI kit gift!

Captcha - API


Installation

To install and configure the plugin follow our Plugins Installation Guide. Please remember to update all the plugin names and import paths. You can find all the necessary information in the Import section.

        
            
     npm i git+https://oauth2:ACCESS_TOKEN@git.mdbootstrap.com/mdb/angular/mdb5/plugins/prd/captcha
     
        
    

Import

        
            
          import { MdbCaptchaModule } from 'mdb-angular-captcha';
          …
          @NgModule ({
            ...
            imports: [MdbCaptchaModule],
            ...
          })
        
        
    

Inputs

Name Type Values Default Description
sitekey String - null Required. Defines your sitekey.
theme String light
dark
light Optional. Defines theme for Captcha.
size String normal
compact
normal Optional. Defines the size of the widget.
tabindex Number - 0 Optional. Defines the tabindex of the widget and chellenge. If other elements in your page use tabindex, it should be set to make user navigation easier.
lang String "pl", "en", "es" etc. en Optional. Defines the language of the widget.

Outputs

Name Type Description
captchaExpire EventEmitter<void> Emmited when CAPTCHA response expires and the user needs to solve a new CAPTCHA.
captchaError EventEmitter<void> Emmited when CAPTCHA encounters an error.
captchaSuccess EventEmitter<string> Emmited when user submits a successful CAPTCHA response.
        
            
            <mdb-captcha
            (captchaSuccess)="onSuccess($event)"
            [sitekey]="'YOUR_SITEKEY'"
          ></mdb-captcha>                             
            
        
    
        
            
            import { Component } from '@angular/core';

            @Component({
              selector: 'app-root',
              templateUrl: './app.component.html',
              styleUrls: ['./app.component.scss'],
            })
            export class AppComponent {
              onSuccess(response: string): void {
                console.log('success solving captcha', response);
              }
            }                            
            
        
    

Methods

Name Description Example
getResponse Returns the Captcha response key. captcha.getResponse()
reset Resets the Captcha plugin. captcha.reset()
        
            
          <mdb-captcha #captcha [sitekey]="'YOUR_SITEKEY'"></mdb-captcha>
          <button class="btn btn-primary" (click)="getResponseFromCaptcha()">
            Get Response
          </button>
          <button class="btn btn-primary" (click)="resetCaptcha()">Reset</button>                   
          
        
    
        
            
          import { Component, ViewChild } from '@angular/core';
          import { MdbCaptchaComponent } from 'mdb-angular-captcha';
          
          @Component({
            selector: 'app-root',
            templateUrl: './app.component.html',
            styleUrls: ['./app.component.scss'],
          })
          export class AppComponent {
            @ViewChild('captcha') captcha!: MdbCaptchaComponent;
          
            resetCaptcha(): void {
              this.captcha.reset();
            }
            getResponseFromCaptcha(): string | null {
              const response = this.captcha.getResponse();
              console.log('captcha response: ', response);
              return response;
            }
          }